Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.servingxml.components.flatfile.layout
Class DefaultFlatFileReader

    java.lang.Object
      com.servingxml.components.recordio.AbstractRecordReader
          com.servingxml.components.flatfile.layout.DefaultFlatFileReader

All Implemented Interfaces:
  RecordReader

    public class DefaultFlatFileReader

extends AbstractRecordReader
implements RecordReader

A `DelimitedFlatFileReader` implements a `RecordReader` interface.

Nested Class Summary

Nested classes/interfaces inherited from interface com.servingxml.components.recordio.RecordReader
`RecordReader.NullRecordReader`

Field Summary

Fields inherited from interface com.servingxml.components.recordio.RecordReader
`NULL`

Constructor Summary
`DefaultFlatFileReader(FlatFileOptions flatFileOptions, StreamSource source)`

Method Summary
`Expirable` | `getExpirable()`
`Key` | `getKey()`
`void` | `readRecords(ServiceContext context, Flow flow)`

Methods inherited from class com.servingxml.components.recordio.AbstractRecordReader
`close, discardRecord, endRecordStream, getDiscardWriter, getRecordWriter, setDiscardWriter, setRecordWriter, startRecordStream, writeRecord`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.servingxml.components.recordio.RecordReader
`discardRecord, getDiscardWriter, getRecordWriter, setDiscardWriter, setRecordWriter`

Constructor Detail

### DefaultFlatFileReader

    public DefaultFlatFileReader(FlatFileOptions flatFileOptions,
                                 StreamSource source)

Method Detail

### readRecords

    public void readRecords(ServiceContext context,
                            Flow flow)

  Specified by:
    `readRecords` in interface `RecordReader`

### getKey

    public Key getKey()

  Specified by:
    `getKey` in interface `RecordReader`
  Overrides:
    `getKey` in class `AbstractRecordReader`

### getExpirable

    public Expirable getExpirable()

  Specified by:
    `getExpirable` in interface `RecordReader`
  Overrides:
    `getExpirable` in class `AbstractRecordReader`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD